Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046480
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2021-05-04 11:232021-05-06 08:33
ReportermarvintmView Statuspublic 
Assigned ToRetail 
PrioritynormalResolutionfixedFixed in VersionRR21Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046480: Document Postman file for the Retail API examples

DescriptionCurrently we have Swagger documentation for the Retail API. However, particularly for the masterdata part, it seems it is not enough for projects, and some specific examples of each endpoint would be helpful to understand what combination of properties can be used on each endpoint.

So, we want to provide a Postman file with these examples that will be included in the module itself.
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0127832)
hgbot (developer)
2021-05-05 15:12

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.api [^]
Changeset: 6c3ed4094a9d12a8e5d063cd0f546212ad4c305a
Author: Antonio Moreno <anmorenoperez@gmail.com>
Date: 2021-05-05T15:12:36+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.api/-/commit/6c3ed4094a9d12a8e5d063cd0f546212ad4c305a [^]

Fixed ISSUE-46480. Added Postman file with examples for the Retail API

---
A examples/README
A examples/Retail API.postman_collection.json
---
(0127846)
hgbot (developer)
2021-05-06 08:33

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.api [^]
Changeset: a0e76796a39551d2ed058905ad3c5a6e56a65087
Author: Antonio Moreno <anmorenoperez@gmail.com>
Date: 2021-05-06T08:33:19+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.api/-/commit/a0e76796a39551d2ed058905ad3c5a6e56a65087 [^]

Related to ISSUE-46480. Added examples of cancel order and cancel and replace flows

---
M examples/Retail API.postman_collection.json
---

- Issue History
Date Modified Username Field Change
2021-05-04 11:23 marvintm New Issue
2021-05-04 11:23 marvintm Assigned To => Retail
2021-05-04 11:23 marvintm Triggers an Emergency Pack => No
2021-05-05 15:12 hgbot Resolution open => fixed
2021-05-05 15:12 hgbot Status new => resolved
2021-05-05 15:12 hgbot Note Added: 0127832
2021-05-05 15:12 marvintm Review Assigned To => marvintm
2021-05-05 15:12 marvintm Status resolved => closed
2021-05-05 15:12 marvintm Fixed in Version => RR21Q3
2021-05-06 08:33 hgbot Note Added: 0127846


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker